package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车企信息对象 t_automobile_enterprise
 *
 * @author gxk
 * @date 2024-01-05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "车企信息对象")
@TableName(value ="t_automobile_enterprise")
public class AutomobileEnterprise extends BaseEntity
{

    /** 主键 */
    @ApiModelProperty("ID")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    @ApiModelProperty("企业名称")
    private String enterpriseName;

    /** 地址 */
    @Excel(name = "地址")
    @ApiModelProperty("地址")
    private String address;

    /** 邮编 */
    @Excel(name = "邮编")
    @ApiModelProperty("邮编")
    private String postcode;

    /** 企业联系人 */
    @Excel(name = "企业联系人")
    @ApiModelProperty("企业联系人")
    private String enterpriseContact;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @ApiModelProperty("联系电话")
    private String contactNumber;
}
