package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 审查细则
 */
@ApiModel
@TableName(value ="t_review_details")
@Accessors(chain = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReviewDetails {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String text;

    /**
     * 审查要点id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("审查要点id")
    private Long reviewKeypointId;

    /**
     * 审核场景列表
     */
    @ApiModelProperty("审核场景列表")
    @TableField(exist = false)
    private List<ReviewScene> reviewSceneList;

    /**
     * 该明细的审查结果
     */
    @ApiModelProperty("该明细的审查结果")
    @TableField(exist = false)
    private ReviewDetailsResult result;


    /**
     * 冗余标准id （为便于前端显示）
     */
    @ApiModelProperty("标准id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @TableField(exist = false)
    private Long standardId;
    /**
     * 冗余审查标准内容 （为便于前端显示）
     */
    @ApiModelProperty("标准内容")
    @TableField(exist = false)
    private String standardText;
    /**
     * 冗余章节 （为便于前端显示）
     */
    @ApiModelProperty("章节")
    @TableField(exist = false)
    private String chapter;
    /**
     * 冗余审查要点内容 （为便于前端显示）
     */
    @ApiModelProperty("要点内容")
    @TableField(exist = false)
    private String reviewKeypointText;

}
