package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 审查场景变更任务&用户映射关系
 * @TableName t_review_scene_change_task_user_relation
 */
@ApiModel
@TableName(value ="t_review_scene_change_task_user_relation")
@Accessors(chain = true)
@Data
public class ReviewSceneChangeTaskUserRelation {

    @TableField(exist = false)
    public static final String DECISION_PASS = "PASS";
    @TableField(exist = false)
    public static final String DECISION_REJECT = "REJECT";

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 任务id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("任务id")
    private Long taskId;

    /**
     * 用户id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 审核意见（PASS、REJECT）
     */
    @ApiModelProperty("审核意见（PASS、REJECT）")
    private String decision;

    /**
     * 评论
     */
    @ApiModelProperty("评论")
    private String comment;

    /**
     * 审核时间
     */
    @ApiModelProperty("审核时间")
    private Date decisionTime;

    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    private String name;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    private String dept;

}
