package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 审查问卷任务收件箱（目前用来获取审查场景变更通知）
 * @TableName t_review_task_inbox
 */
@ApiModel
@TableName(value ="t_review_task_inbox")
@Accessors(chain = true)
@Data
public class ReviewTaskInbox {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 体系审查任务id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("体系审查任务id")
    private Long reviewTaskId;

    /**
     * 场景变更任务id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("场景变更任务id")
    private Long reviewSceneChangeTaskId;

    /**
     * 该消息是否已确认(0未确认:1已确认)
     */
    @ApiModelProperty("该消息是否已确认(0未确认:1已确认)")
    private Integer isConfirm;

}
