package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 任务表
 */
@ApiModel
@TableName(value ="t_task_sample_relation", autoResultMap = true)
@Accessors(chain = true)
@Data
public class TaskSampleRelation {

    /**
     * 整车样品
     */
    @TableField(exist = false)
    public static final String COMPLETE_VEHICLE_SAMPLE = "0";

    /**
     * 零部件样品
     */
    @TableField(exist = false)
    public static final String PART_VEHICLE_SAMPLE = "1";

    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    @ApiModelProperty("任务id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long taskId;

    @ApiModelProperty("样品id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long sampleId;

    @ApiModelProperty("0：整车样品  1：零部件样品")
    private String flag;
}
