package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 用户照片存储对象 t_user_photo_storage
 *
 * @author gxk
 * @date 2024-01-29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "用户照片存储")
@TableName(value = "t_user_photo_storage")
public class UserPhotoStorage
{

    /** 主键 */
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("ID")
    private Long id;

    /** 用户id */
    @ApiModelProperty("用户ID")
    private Long userId;

    /** 用户账号 */
    @ApiModelProperty("用户账号")
    private String username;

    /** 图片路径 */
    @ApiModelProperty("图片路径")
    private String path;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 逻辑删除标记 */
    @ApiModelProperty("逻辑删除标记(0-存在、1-删除)")
    @TableField(fill = FieldFill.INSERT)
    private Integer deleted;
}
