package com.ruoyi.mapper;

import com.ruoyi.domain.ReviewDetails;
import com.ruoyi.domain.ReviewDetailsResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_review_details_result(审查细则的审查结果)】的数据库操作Mapper
* @createDate 2023-12-15 15:42:40
* @Entity com.ruoyi.domain.ReviewDetailsResult
*/
@Repository
public interface ReviewDetailsResultMapper extends BaseMapper<ReviewDetailsResult> {

    List<ReviewDetailsResult> findByTaskId(@Param("taskId") Long taskId);

    ReviewDetailsResult findByTaskIdAndDetailsId(@Param("taskId") Long taskId,@Param("reviewDetailsId") Long reviewDetailsId);

    /**
     * 根据任务id查询不通过的数量
     * @param taskId
     * @return
     */
    Long findNotPass(@Param("taskId") Long taskId);

    // 根据细则列表查询结果
    List<ReviewDetailsResult> findByDetailsList(@Param("reviewDetailsList") List<ReviewDetails> reviewDetailsList);

    // 根据细则id查询结果
    List<ReviewDetailsResult> findByDetailsId(@Param("detailsId") Long detailsId);
}




