package com.ruoyi.mapper;

import com.ruoyi.domain.ReviewSceneChangeTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.request.ReviewSceneChangeTaskFindCreateRequest;
import com.ruoyi.web.request.ReviewSceneChangeTaskFindFinishRequest;
import com.ruoyi.web.request.ReviewSceneChangeTaskFindPendingRequest;
import com.ruoyi.web.response.ReviewSceneChangeTaskResponse;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
* @author wangfei
* @description 针对表【t_review_scene_change_task(审查场景变更任务)】的数据库操作Mapper
* @createDate 2023-12-14 14:28:17
* @Entity com.ruoyi.domain.ReviewSceneChangeTask
*/

@Repository
public interface ReviewSceneChangeTaskMapper extends BaseMapper<ReviewSceneChangeTask> {
    List<ReviewSceneChangeTask> findLastChangeByTaskId(@Param("taskId") Long taskId);

    /**
     * 根据用户ID查询待办列表
     * @param userId
     * @return
     */
    List<ReviewSceneChangeTaskResponse> findPendingListByUserId(@Param("userId") Long userId, @Param("request") ReviewSceneChangeTaskFindPendingRequest request);

    /**
     * 根据用户ID查询已办列表
     * @param userId
     * @return
     */
    List<ReviewSceneChangeTaskResponse> findFinishListByUserId(@Param("userId") Long userId, @Param("request") ReviewSceneChangeTaskFindFinishRequest request);

    /**
     * 查询当前用户创建的任务
     * @param userId
     * @return
     */
    List<ReviewSceneChangeTask> findCreateListByUserId(@Param("userId") Long userId, @Param("request") ReviewSceneChangeTaskFindCreateRequest request);

}




