package com.ruoyi.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.UserPhotoStorage;
import com.ruoyi.web.request.UserPhotoStorageListRequest;
import org.springframework.stereotype.Repository;

/**
 * 用户照片存储Mapper接口
 *
 * @author gxk
 * @date 2024-01-29
 */
@Repository
public interface UserPhotoStorageMapper extends BaseMapper<UserPhotoStorage>
{
    /**
     * 查询用户照片存储列表
     *
     * @param request 用户照片存储
     * @return 用户照片存储集合
     */
    public List<UserPhotoStorage> selectUserPhotoStorageList(UserPhotoStorageListRequest request);

    /**
     * 新增用户照片存储
     *
     * @param userPhotoStorage 用户照片存储
     * @return 结果
     */
    public int insertUserPhotoStorage(UserPhotoStorage userPhotoStorage);

    /**
     * 修改用户照片存储
     *
     * @param userPhotoStorage 用户照片存储
     * @return 结果
     */
    public int updateUserPhotoStorage(UserPhotoStorage userPhotoStorage);
}
