package com.ruoyi.pdf.report;

import cn.hutool.core.io.resource.ClassPathResource;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.pdf.AcroFields;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfStamper;
import org.springframework.stereotype.Component;

import java.io.ByteArrayOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;

@Component
public class CreateReport {

    public void create() throws IOException, DocumentException {

        ClassPathResource classPathResource = new ClassPathResource("template/template.pdf");
        PdfReader reader = new PdfReader(classPathResource.getStream());

        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        PdfStamper stamper = new PdfStamper(reader, bos);

        AcroFields acroFields = stamper.getAcroFields();
        drawPage1("轿车", "SVW73025CK", "天津吉利汽车制造有限公司", acroFields);

        stamper.setFormFlattening(true);
        stamper.close();

        bos.writeTo(new FileOutputStream("./aaa.pdf"));
    }

    /**
     *
     * @param productName 产品名称
     * @param productModel 产品型号
     * @param consignor 委托单位
     */
    private void drawPage1(String productName, String productModel, String consignor, AcroFields acroFields) throws DocumentException, IOException {

        acroFields.setField("productName", productName);
        acroFields.setField("productModel", productModel);
        acroFields.setField("consignor", consignor);

    }

    private void drawPage2() {

    }

    private void drawPage3() {

    }

    private void drawPage4() {

    }

    private void drawPage5() {

    }

    private void drawPage6() {

    }

    private void drawPage7() {

    }

    private void drawPage8() {

    }

    private void drawPage9() {

    }

    private void drawPage10() {

    }

    private void drawPage11() {

    }

    private void drawPage12() {

    }

    private void drawPage13() {

    }

    private void drawPage14() {

    }

}
