package com.ruoyi.service;

import com.itextpdf.text.Document;
import com.ruoyi.domain.Book;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;

import javax.servlet.http.HttpServletResponse;
import java.io.OutputStream;
import java.util.List;

/**
* @author wangfei
* @description 针对表【t_book(书籍)】的数据库操作Service
* @createDate 2023-12-05 14:50:11
*/
public interface BookService extends IService<Book> {

    List<Book> selectBookList(String name);

    List<Book> selectBookListException(String name);


    /**
     * 生成PDF
     * @param os
     * @return
     * @throws Exception
     */
    Document generateItextPdfDocument(OutputStream os) throws Exception;

    /**
     * 以模板生成
     * @param response
     * @throws Exception
     */
    void generateTempPDF(HttpServletResponse response) throws Exception;

    /**
     * 测试生成PDF
     * @param os
     * @return
     * @throws Exception
     */
    Document testGeneratePDF(OutputStream os) throws Exception;
}
