package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.ReviewDetails;
import com.ruoyi.domain.ReviewScene;
import com.ruoyi.domain.ReviewSceneChangeTask;
import com.ruoyi.web.request.ReviewSceneFindListRequest;

import java.util.List;

public interface ReviewSceneService extends IService<ReviewScene> {

    /**
     * 根据细则id查询属于这些细则的场景
     * @param reviewDetailsList
     * @return
     */
    List<ReviewScene> findByDetailsList(List<ReviewDetails> reviewDetailsList);

    /**
     * 场景变更，包括（新增场景、删除场景、修改场景）
     * @param reviewSceneChangeTask
     */
    void change(ReviewSceneChangeTask reviewSceneChangeTask);

    List<ReviewScene> findList(ReviewSceneFindListRequest request);

}
