package com.ruoyi.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.Sample;
import com.ruoyi.web.request.SampleManagementRequest;

/**
 * 样品管理Service接口
 * 
 * @author ruoyi
 * @date 2024-01-29
 */
public interface SampleManagementService extends IService<Sample>
{
    /**
     * 查询样品管理
     * 
     * @param id 样品管理主键
     * @return 样品管理
     */
    public Sample selectSampleManagementById(Long id);

    /**
     * 查询样品管理列表
     * 
     * @param sampleManagementRequest 样品管理
     * @return 样品管理集合
     */
    public List<Sample> selectSampleManagementList(SampleManagementRequest sampleManagementRequest);

    /**
     * 新增样品管理
     * 
     * @param tSampleManagement 样品管理
     * @return 结果
     */
    public int insertSampleManagement(Sample tSampleManagement);

    /**
     * 修改样品管理
     * 
     * @param tSampleManagement 样品管理
     * @return 结果
     */
    public int updateSampleManagement(Sample tSampleManagement);

    /**
     * 根据车辆识别码和样品编号查询样品信息
     * */
    public List<Sample> selectSampleList(SampleManagementRequest sampleManagementRequest);
}
