package com.ruoyi.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.UserPhotoStorage;
import com.ruoyi.domain.vo.PhotoStorageVO;
import com.ruoyi.web.request.UserPhotoStorageCreateRequest;
import com.ruoyi.web.request.UserPhotoStorageListRequest;

/**
 * 用户照片存储Service接口
 *
 * @author gxk
 * @date 2024-01-29
 */
public interface UserPhotoStorageService extends IService<UserPhotoStorage>
{
    /**
     * 查询用户照片存储列表
     *
     * @param request 用户照片存储
     * @return 用户照片存储集合
     */
    public List<PhotoStorageVO> selectUserPhotoStorageList(UserPhotoStorageListRequest request);

    /**
     * 新增用户照片存储
     *
     * @param request 用户照片存储
     * @return 结果
     */
    public int insertUserPhotoStorage(UserPhotoStorageCreateRequest request);

    /**
     * 修改用户照片存储
     *
     * @param userPhotoStorage 用户照片存储
     * @return 结果
     */
    public int updateUserPhotoStorage(UserPhotoStorage userPhotoStorage);
}
