package com.ruoyi.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.ruoyi.domain.TestType;
import com.ruoyi.mapper.TestTypeMapper;
import com.ruoyi.service.ITestTypeService;

import com.ruoyi.web.request.TestTypeRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class TestTypeServiceImpl extends ServiceImpl<TestTypeMapper, TestType> implements ITestTypeService {

    @Autowired
    private TestTypeMapper testTypeMapper;
    /**
     * 查询测试类型库列表
     *
     * @param testTypeRequest 测试类型库
     * @return 测试类型库
     */
    @Override
    public List<TestType> selectTestTypeList(TestTypeRequest testTypeRequest)
    {
        if(testTypeRequest.getTestType() != null && (testTypeRequest.getTestType().contains("%") ||testTypeRequest.getTestType().contains("_")  )){
            testTypeRequest.setTestType(testTypeRequest.getTestType().toString().replaceAll("%","/%").replaceAll("_","/_"));
        }
        return testTypeMapper.selectTestTypeList(testTypeRequest);
    }
}
