package com.ruoyi.web;


import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.ReviewScene;
import com.ruoyi.service.ReviewSceneService;
import com.ruoyi.web.request.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;



@Api(tags = "审查场景")
@RestController
@RequestMapping("/review/scene")
public class ReviewSceneController extends BaseController {

    @Autowired
    private ReviewSceneService reviewSceneService;


    @ApiOperation("查询审查场景列表")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/findSceneList")
    public TableDataInfo<ReviewScene> findSceneList(@Validated @RequestBody ReviewSceneFindListRequest request) {
        return getDataTable(reviewSceneService.findList(request));
    }

}
