package com.ruoyi.web;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.service.ReviewTaskInboxService;
import com.ruoyi.web.request.ReviewTaskInboxConfirmRequest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "审查问卷收件箱")
@RestController
@RequestMapping("/review/task/inbox")
public class ReviewTaskInboxController extends BaseController {

    @Autowired
    private ReviewTaskInboxService reviewTaskInboxService;

    @ApiOperation("确认信息")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @Log(title = "确认多条信息", businessType = BusinessType.UPDATE)
    @RequestMapping(method = RequestMethod.POST, value = "/confirm")
    public R<String> confirm(@Validated @RequestBody ReviewTaskInboxConfirmRequest request) {
        reviewTaskInboxService.confirm(request);
        return R.ok();
    }
}
