package com.ruoyi.web;


import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.domain.TaskUserRelation;
import com.ruoyi.service.TaskUserRelationService;
import com.ruoyi.web.request.TaskUserRelationMembersRequest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@Api(tags = "体系审查任务组成员")
@RestController
@RequestMapping("/review/Task/User")
public class ReviewTaskUserRelationController extends BaseController {

    @Autowired
    TaskUserRelationService reviewTaskUserRelationService;


    /**
     * 根据任务id查询小组成员
     * @return
     */
    @ApiOperation("根据任务Id查询任务组成员")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/members")
    public R<List<TaskUserRelation>> selectQTeamMemberList(@Validated @RequestBody TaskUserRelationMembersRequest request){
        List<TaskUserRelation> list = reviewTaskUserRelationService.selectQTeamMembers(request.getTaskId());
        return R.ok(list);
    }

}
