package com.ruoyi.web;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.TestType;
import com.ruoyi.service.ITestTypeService;
import com.ruoyi.web.request.TestTypeRequest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "测试类型")
@RestController
@RequestMapping("/system/type")
public class TestTypeController extends BaseController {
    @Autowired
    private ITestTypeService testTypeService;

    /**
     * 查询测试类型分页
     */
    @ApiOperation("查询测试类型分页查询")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/getList")
    public TableDataInfo<TestType> list(@Validated @RequestBody TestTypeRequest testTypeRequest){
        startPage(testTypeRequest);
        List<TestType> list = testTypeService.selectTestTypeList(testTypeRequest);
        return getDataTable(list);
    }

    /**
     * 查询测试类型列表不分页
     */
    @ApiOperation("查询测试类型")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/getListAll")
    public R<List<TestType>> listAll(@Validated @RequestBody TestTypeRequest testTypeRequest){
        return R.ok(testTypeService.selectTestTypeList(testTypeRequest));
    }

}
