package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * PDF文件请求DTO
 * @author gxk
 */
@Data
@Builder
@ApiModel
@NoArgsConstructor
@AllArgsConstructor
public class PdfFileRequest {

    @ApiModelProperty("任务ID")
    @NotNull(message = "任务ID不能为空")
    private Long taskId;

    @ApiModelProperty("PDF类型(0-整车、1-企业留档、2-车型)")
    @NotNull(message = "PDF类型不能为空")
    private Integer type;

}
