package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel(value = "ReviewFindListRequest", description = "查询审查参数")
@Data
public class ReviewFindListRequest {

    @ApiModelProperty("审查内容")
    private String text;

    @ApiModelProperty("总标准ID")
    @NotNull(message = "总标准ID不能为空")
    private Long standardId;

    @ApiModelProperty("标准类型[system、car、test]")
    @NotNull(message = "标准类型不能为空")
    @NotEmpty(message = "标准类型不能为空")
    private String type;
}
