package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel
public class SystemReviewTaskExportPDFResponse {

    @ApiModelProperty("报告编号")
    private String exportNo;

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("产品型号")
    private String productModel;

    @ApiModelProperty("委托单位")
    private String entrustOrg;

    @ApiModelProperty("委托单位电话")
    private String entrustOrgPhone;

    @ApiModelProperty("委托单位地址")
    private String entrustOrgAddr;

    @ApiModelProperty("委托单位邮编")
    private String entrustOrgPostcode;

    @ApiModelProperty("样品名称")
    private String sampleName;

    @ApiModelProperty("商标")
    private String brand;

    @ApiModelProperty("型号规格")
    private String specification;

    @ApiModelProperty("生产企业")
    private String manufacturer;

    @ApiModelProperty("送样者")
    private String sampleSender;

    @ApiModelProperty("送样日期")
    private String sampleSendDate;

    @ApiModelProperty("样品数量")
    private String sampleCount;

    @ApiModelProperty("任务编号")
    private String taskNo;
    @ApiModelProperty("汽车信息安全管理要求")
    private List<CheckTable> safetyManagerReq;
    @ApiModel
    @Data
    public static class CheckTable {

        @ApiModelProperty("表名称")
        private String tableName;

        @ApiModelProperty("任务编号")
        private Integer order;

        @ApiModelProperty("标准要去")
        private String standard;

        @ApiModelProperty("检验结果")
        private String checkResult;

        @ApiModelProperty("审核是否通过（0未通过、1通过）")
        private String pass;

        public String getStandardKey() {
            return tableName + "_" + order + "_standard";
        }

        public String getCheckResultKey() {
            return tableName + "_" + order + "_checkResult";
        }

        public String getPassKey() {
            return tableName + "_" + order + "_pass";
        }

    }

}
