package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 通过角色查询用户信息DTO
 * @author gxk
 */
@Data
@ApiModel
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserByRoleRequest {

    @ApiModelProperty("角色名称")
    @NotNull(message = "角色名称不能为空")
    @NotEmpty(message = "角色名称不能为空")
    private String roleName;

}
