package com.ruoyi.web.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel(value = "ReviewSceneChangeTaskResponse", description = "查询返回结果")
@Data
public class ReviewSceneChangeTaskResponse {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 任务编号
     */
    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("检验标准id")
    private String inspectStandardId;

    @ApiModelProperty("检验标准号")
    private String inspectStandardNo;

    /**
     * 章节
     */
    @ApiModelProperty("章节")
    private String chapter;

    /**
     * 审查标准id
     */
    @ApiModelProperty("审查标准id")
    private Long standardId;

    /**
     * 审查标准
     */
    @ApiModelProperty("审查标准")
    private String standard;

    @ApiModelProperty("检查类型[system(体系审查)、car(车型审查)]")
    private String type;

    /**
     * 审查要点id
     */
    @ApiModelProperty("审查要点id")
    private Long keypointId;

    /**
     * 审查要点
     */
    @ApiModelProperty("审查要点")
    private String keypoint;

    /**
     * 审查细则id
     */
    @ApiModelProperty("审查细则id")
    private Long detailsId;

    /**
     * 审查细则
     */
    @ApiModelProperty("审查细则")
    private String details;

    /**
     * 操作（ADD DELETE UPDATE）
     */
    @ApiModelProperty("操作（ADD DELETE UPDATE）")
    private String operation;

    @ApiModelProperty(value = "分类" , notes = "[KEYPOINT DETAILS SCENE]")
    private String sort;

    @ApiModelProperty("评审类型")
    private String operationSort;

    /**
     * 当 operation 为 ADD 时该字段为空
     */
    @ApiModelProperty("当 operation 为 ADD 时该字段为空")
    private String oldText;

    /**
     * 当 operation 为 DELETE 时该字段为空
     */
    @ApiModelProperty("当 operation 为 DELETE 时该字段为空")
    private String newText;

    /**
     * 任务发起人姓名
     */
    @ApiModelProperty("任务发起人姓名")
    private String taskInitiator;

    /**
     * 任务发起人部门
     */
    @ApiModelProperty("任务发起人部门")
    private String taskInitiatorDept;

    /**
     * 任务发起人Id
     */
    @ApiModelProperty("任务发起人Id")
    private Long taskInitiatorId;

    /**
     * 任务状态（PENDING、FINISH、CLOSE）
     */
    @ApiModelProperty("任务状态（PENDING、FINISH、CLOSE）")
    private String taskStatus;

    /**
     * 任务结果（PASS、REJECT）
     */
    @ApiModelProperty("任务结果（PASS、REJECT）")
    private String taskResult;

    /**
     * 任务开始时间
     */
    @ApiModelProperty("任务开始时间")
    private Date taskBeginTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty("任务结束时间")
    private Date taskEndTime;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 审查场景id
     * 若为修改、删除任务时，此id在创建任务时赋值
     * 若为新增任务时，此id在审批通过并保存新场景后赋值
     */
    @ApiModelProperty("审查场景id")
    private Long reviewSceneId;

    /**
     * 本人审核意见（PASS、REJECT）
     */
    @ApiModelProperty("本人审核意见（PASS、REJECT）")
    private String decision;
}
